<template>
  <div class="section">
    <div class="container">
      <h1 class="title">New Post</h1>
      <hr>
      <div class="columns">
        <div class="column is-one-third">
          <Upload v-if="isUpload" @imageUpload="imageUpload" />
          <Details v-else :image="newImage" />
        </div>
        <div class="column is-two-thirds">
          <img v-if="newImage.public_id" v-cl-image="newImage.public_id" responsive fetch-format="auto" quality="auto">
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Upload from '@/components/Image/NewImage/ImageUpload'
import Details from '@/components/Image/NewImage/ImageDetails'
export default {
  components: { Upload, Details },
  data () {
    return {
      isUpload: true,
      newImage: {}
    }
  },
  methods: {
    imageUpload (result) {
      this.isUpload = false
      this.newImage = result
    }
  }
}
</script>
